Skip to content

List all data attributes

Request

You can fetch a list of all data attributes belonging to a workspace for contacts, companies or conversations.

Security
bearerAuth
Query
modelstring

Specify the data attribute model to return.

Enum:"contact""company""conversation"
Example:model=company
include_archivedboolean

Include archived attributes in the list. By default we return only non archived data attributes.

Example:include_archived=false
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
curl -i -X GET \
  'https://api.intercom.io/data_attributes?model=company&include_archived=false' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.9'

Responses

Successful response

Bodyapplication/json
typestring

The type of the object

Value:"list"
Example:"list"
dataArray of objects(Data Attribute)

A list of data attributes

Response
{ "type": "list", "data": [ {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {}, {} ] }